#
# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
#

Source: golang-1.24
Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Michael Hudson-Doyle <mwhudson@debian.org>,
           Anthony Fok <foka@debian.org>
Section: golang
Priority: optional
Build-Depends: debhelper-compat (= 13),
               binutils-gold [arm64],
               golang-1.24-go | golang-1.23-go | golang-1.22-go,
               netbase
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.24
Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.24
Homepage: https://go.dev/
Rules-Requires-Root: no

Package: golang-1.24-go
Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
Depends: binutils-gold [arm64],
         golang-1.24-src (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: g++, gcc, libc6-dev, pkgconf
Breaks: dh-golang (<< 1.43~)
Suggests: bzr | brz, ca-certificates, git, mercurial, subversion
Description: Go programming language compiler, linker, compiled stdlib
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides an assembler, compiler, linker, and compiled libraries
 for the Go programming language.
 .
 To use this version, instead of the default one provided by golang-go package,
 add /usr/lib/go-1.24/bin/ to PATH, or invoke /usr/lib/go-1.24/bin/go directly.

Package: golang-1.24-src
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Go programming language - source files
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides the Go programming language source files needed for
 compilation.

Package: golang-1.24-doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Section: doc
Description: Go programming language - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language.

Package: golang-1.24
Depends: golang-1.24-doc (>= ${source:Version}),
         golang-1.24-go (>= ${source:Version}),
         golang-1.24-src (>= ${source:Version}),
         ${misc:Depends}
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.
 .
 To use this version, instead of the default one provided by golang-go
 package, add /usr/lib/go-1.24/bin/ to PATH, or invoke /usr/lib/go-1.24/bin/go
 directly.
